%define upstream_name    HTML-LinkExtractor
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary: 	Perl extension for extracting links from HTML
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url: 		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/R/RA/RADOS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(HTML::TokeParser::Simple)
BuildRequires:	perl(URI)
BuildArch: 	noarch


%description
Perl extension for extracting links from HTML. It is very similar
to HTML::LinkExtor|HTML::LinkExtor, except that besides getting
the URL, you also get the link-text.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}
make test

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc Changes README
%{perl_vendorlib}/HTML/LinkExtractor.pm
%{_mandir}/*/*


%changelog
* Wed Jul 01 2020 tv <tv> 0.130.0-11.mga8
+ Revision: 1600833
- fix %%install

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-10.mga8
+ Revision: 1494930
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-9.mga7
+ Revision: 1268492
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-8.mga6
+ Revision: 1028233
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.130.0-7.mga6
+ Revision: 930078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-6.mga5
+ Revision: 744502
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.130.0-5.mga5
+ Revision: 727603
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 684946
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 511964
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368031
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 32051
- mageia rebuild
- imported package perl-HTML-LinkExtractor

